tos-deluge(1)

NAME
tos-deluge - Management tool for Deluge T2

SYNOPSIS
tos-deluge device baudrate <-p|-r|-d|-e|-s> image_number

tos-deluge device baudrate -i image_number tos_image.xml

DESCRIPTION

tos-deluge is the management tool for Deluge T2. The available operations are:

ARGUMENTS

device
    Any device accepted by PySerial. Examples:

    •   /dev/ttyUSB0

    •   COM10

    •   11

baudrate
    Three shortcuts are available: micaz and iris for 57600 and telosb for 115200.

image_number
    A integer number. 0 is the first image.

OPTIONS

-p, --ping
    This command is useful for checking the status of program images on a mote. It provides information such as program name, compile time, size of the image, and so on.

-i, --inject
    This command creates a program image from the supplied tos_image.xml file, and it injects the image into specified volume on the mote.

-r, --reprogram
    This command sets up the directly-connected mote to reprogram itself after reboot, and then it reboots the mote.

-d, --disseminate
    This command instructs the base station mote to disseminate an image to the network. This image is specified by the volume ID.

-dr, --disseminate-and-reprogram
    This command asks the motes in the network not only to disseminate an image but also to start running it. This is accomplish using a reboot.

-e, --erase
    This command erases a flash volume on the base station mote.

-s, --stop
    The effect of -d and -dr is continuous which means a new mote will become infected if he is nearby. This command stops the infection.

-ls, --local-stop
    When -d or -dr are in effect, the volume used by them is locked. This command can be used to unlock the volume in order to erase or inject a new image.